shape.hh File Reference
`#include <mia/core/shape.hh>`
`#include <mia/core/factory.hh>`
`#include <mia/2d/image.hh>`
Include dependency graph for 2d/shape.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Typedefs

typedef TShape< T2DVector, C2DBitImage > | C2DShape
| 2D shape class, see also TShape
typedef TFactory< C2DShape > | C2DShapePlugin
| Base class for Shape generating plug-ins.
typedef THandlerSingleton< TFactoryPluginHandler< C2DShapePlugin > > | C2DShapePluginHandler
| Plug-in handler for the shape plug-ins.
typedef std::shared_ptr< C2DShape > | P2DShape
| Pointer type of the C2DShape.

## Functions

P2DShape | produce_2d_shape (const std::string &descr)
P2DShape EXPORT_2D | rotate_90_degree (const C2DShape &shape)

## Variables

template<>
const char *const | TPluginHandler< TFactory< C2DShape > >::m_help
template class EXPORT_2D | TShape< T2DVector, C2DBitImage >

## Typedef Documentation

## C2DShape

typedef TShape<T2DVector, C2DBitImage> C2DShape

2D shape class, see also TShape

Definition at line 34 of file 2d/shape.hh.

## C2DShapePlugin

typedef TFactory<C2DShape> C2DShapePlugin

Base class for Shape generating plug-ins.

Definition at line 40 of file 2d/shape.hh.

## C2DShapePluginHandler

typedef THandlerSingleton<TFactoryPluginHandler<C2DShapePlugin> > C2DShapePluginHandler

Plug-in handler for the shape plug-ins.

Definition at line 45 of file 2d/shape.hh.

## P2DShape

typedef std::shared_ptr<C2DShape > P2DShape

Pointer type of the C2DShape.

Definition at line 37 of file 2d/shape.hh.

## Function Documentation

## produce_2d_shape()

P2DShape produce_2d_shape | ( | const std::string & | descr | ) |

inline

Definition at line 60 of file 2d/shape.hh.

References THandlerSingleton< TFactoryPluginHandler< C2DShapePlugin > >::instance().

## rotate_90_degree()

P2DShape EXPORT_2D rotate_90_degree | ( | const C2DShape & | shape | ) |

Convenience function to produce a shape from a plugin

Parameters

  shape | the description of the shape

Returns
  the newly created shape

References EXPORT_2D.

## Variable Documentation

## TPluginHandler< TFactory< C2DShape > >::m_help

template<>

const char* const TPluginHandler< TFactory< C2DShape > >::m_help

Definition at line 42 of file 2d/shape.hh.

## TShape< T2DVector, C2DBitImage >

template class EXPORT_2D TShape< T2DVector, C2DBitImage >

extern